@import url("https://fonts.googleapis.com/icon?family=Material+Icons");

:root {
    --font-family: 'Comfortaa', cursive;
    --font-weight-light: 400;
    --font-weight-bold: 700;
    --color-title: #010101;
    --color-title-light: #505050;
    --color-tags: #7d8c44;
    --bg-color: #f9f9f9;
    --picture-bgcolor: transparent;
    --picture-opacity: 1;
    --color-coyright: #999;
    --bg-color-imgtitle: #efefef;
    --color-imgtitle: #1a1a1a;
    --hoverprevnextbgcolor: #906fba2e;
}

html, body, div, span, applet, object, iframe, h1, h2, h3, h4, h5, h6, p, blockquote, pre, a, abbr, acronym, address, big, cite, code, del, dfn, em, img, ins, kbd, q, s, samp, small, strike, strong, sub, sup, tt, var, b, u, i, center, dl, dt, dd, ol, ul, li, fieldset, form, label, legend, table, caption, tbody, tfoot, thead, tr, th, td, article, aside, canvas, details, embed, figure, figcaption, footer, header, hgroup, menu, nav, output, ruby, section, summary, time, mark, audio, video {
    margin: 0;
    padding: 0;
    border: 0;
    font: inherit;
    font-size: 100%;
    vertical-align: baseline;
}

article, aside, details, figcaption, figure, footer, header, hgroup, menu, nav, section {
    display: block;
}

html {
    box-sizing: border-box;
    -webkit-text-size-adjust: 100%;
}

*, *:before, *:after {
    box-sizing: inherit;
}

html {
    font-size: 62.5%;
}

body {
    font-size: 1.2rem;
    line-height: 1.6;
    font-family: var(--font-family);
    font-display: swap;
    display: flex;
    flex-wrap: wrap;
    background-color: var(--bg-color);
}

p {
    margin: 0 0 calc(1ex / .4);
}

a {
    border-bottom: .01em solid #3497ff;
    box-shadow: 0 0.3rem 0 0 #a1cfff;
    text-decoration: none;
    color: inherit;
}

ul {
    list-style: none;
}

h2, h3, strong {
    font-weight: var(--font-weight-bold);
}

h2 {
    font-size: 1.5rem;
    margin: 0 0 calc(1ex / .5);
}

h3 {
    font-size: 1.3rem;
    margin: 0 0 .1em;
}

.--only- {
    position: absolute;
    clip: rect(1px, 1px, 1px, 1px);
}

details {
    margin: 0 0 calc(1ex / .2);
}

    details summary {
        list-style-type: none;
        cursor: pointer;
    }

    details summary {
        list-style-type: none;
        cursor: pointer;
    }

        details summary h3 {
            color: #3497ff;
        }

    details[open] summary h3 {
        color: #225888;
    }

    details summary::-webkit-details-marker,
    details summary::marker {
        display: none;
    }

img,
picture,
video,
audio,
iframe {
    display: block;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

img {
    border: 0;
    -ms-interpolation-mode: bicubic;
    vertical-align: middle;
    max-width: 100%;
    height: auto;
    aspect-ratio: 16/9;
    object-fit: cover;
}

picture {
    height: 0;
    padding-top: 56.25%;
    background-repeat: no-repeat;
    background-size: contain;
    background-position: center center;
    background-color: var(--picture-bgcolor);
    opacity: var(--picture-opacity);
}

    picture:after {
        content: attr(title);
        display: block;
        text-align: center;
        color: #999;
        font-size: small;
    }

iframe {
    width: 100%;
    height: auto;
    aspect-ratio: 16/9;
    -webkit-overflow-scrolling: touch;
}

section {
    margin: 1em 0 2em;
}

.section-half {
    width: 100%;
    padding: 1em;
}

    .section-half h3 {
        margin: 0 0 calc(1ex / .9);
    }

        .section-half h3 span {
            display: block;
            font-size: smaller;
            font-weight: normal;
        }

menu {
    font-family: var(--font-family);
    max-width: 600px;
    font-size: 1.4rem;
    order: 2;
}

    menu a, .a-noborder, .language a {
        border: none;
        box-shadow: none;
    }

    menu a {
        margin: .5em 1em;
        text-transform: lowercase;
        color: var(--color-tags);
    }

        menu a span {
            color: var(--color-title-light);
        }

            menu a span:first-child {
                text-transform: uppercase;
                vertical-align: middle;
            }

            menu a span:last-child {
                font-size: xx-small;
            }

        menu a.active {
            color: var(--color-tags);
        }

nav {
    position: absolute;
    left: 0;
    text-align: right;
    display: none;
    flex-wrap: wrap;
    flex-direction: column;
    width: 100%;
    background-color: var(--bg-color);
    padding: 1em 0 1.5em;
    z-index: 1;
    box-shadow: 0 2px 10px 2px rgb(0 0 0 / 10%);
}

#menubtn {
    display: none;
}

label[for=menubtn] {
    outline: none;
    color: transparent;
    text-align: right;
    cursor: pointer;
    margin-top: 1em;
    margin-bottom: 1em;
    display: flex;
    position: relative;
    align-items: center;
}

    label[for=menubtn]::before {
        content: '';
        width: 31px;
        height: 9px;
        background: var(--color-tags);
        transition: all 250ms ease-out;
        will-change: transform;
    }

#menubtn:checked ~ label[for=menubtn]::before {
    transform: translateY(0) rotate(90deg);
}

#menubtn:checked ~ nav {
    display: flex;
}

.language {
    margin: 2em 0;
    text-align: right;
}

    .language svg {
        vertical-align: middle;
    }

.a-noborder {
    position: relative;
}

.project-title {
    display: block;
    color: var(--color-imgtitle);
    width: 100%;
    background-color: var(--bg-color-imgtitle);
    margin: 0;
    padding: .3em 0;
    text-align: center;
    box-shadow: 0 2px 10px 2px rgb(0 0 0 / 10%);
}

.site-page {
    width: 100%;
    min-height: 350px;
    min-height: 100vh;
    position: relative;
    padding: 10px;
}

header {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: flex-end;
    margin-bottom: 50px;
}

.page-icon {
    cursor: pointer;
    vertical-align: bottom;
    width: 29px;
}

.site-page--home {
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    box-shadow: 1px 1px 10px 3px rgb(145 145 145);
}

.silent {
    margin: calc(1ex / 0.1) auto calc(1ex / 0.5);
    color: var(--color-title-light);
}

    .silent i {
        margin: 0;
    }

.datenschutz {
    font-size: smaller;
}

#profile h2 {
    border-bottom: .01em solid #dfdfdf;
    font-size: 1.7rem;
}

#profile i {
    display: block;
    padding: .5em;
    cursor: pointer;
    text-align: right;
}

.about img {
    vertical-align: middle;
    width: 80px;
    height: 80px;
    border-radius: 80%;
    border: .1em solid rgb(0 0 0 / 10%);
    margin: 1em 0;
}

.lebenslauf p {
    display: grid;
    grid-template-columns: 1fr;
    grid-gap: 0.1em 0.5em;
    text-align: left;
}

.contact {
    direction: ltr;
    margin: calc(1ex / .1) 0 0;
}

    .contact svg {
        width: 24px;
        height: 24px;
        vertical-align: text-bottom;
    }

        .contact svg path {
            fill: #828db6;
        }

.work {
    width: 100%;
    display: flex;
    align-items: flex-start;
    flex-wrap: wrap;
    padding-bottom: 10px;
    margin-bottom: 10px;
}

#work .silent {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 1em;
    justify-content: space-between;
    align-items: center;
}

.xtract-content img, .work-images, .work-content {
    width: 100%;
}

    .work-images figure {
        height: 0;
        padding-top: 56.25%; /* 16:9 56.25%; 4:3 75%; 3:2 66.66%; 8:5 62.5%; */
        background-repeat: no-repeat;
        background-size: contain;
        background-position: center center;
        position: relative;
        touch-action: pan-x;
        cursor: grab;
    }

.prev, .next {
    position: absolute;
    top: 0;
    width: 5%;
    height: 100%;
    user-select: none;
    box-shadow: -5px 0px 3px -5px var(--hoverprevnextbgcolor);
}

    .next:hover, .prev:hover {
        box-shadow: none;
    }

.next {
    box-shadow: 5px 0px 3px -5px var(--hoverprevnextbgcolor);
    right: 0;
}

.work-images ul {
    display: grid;
    grid-gap: .5em;
    grid-template-columns: repeat(auto-fit, minmax(15%, 1fr));
    border-top: 1px solid #eee;
    margin: .5em 0 2em;
    padding-top: .5em;
}

    .work-images ul li {
        opacity: 0.9;
        background-size: contain;
        background-position: center;
        background-repeat: no-repeat;
        height: 3em;
        width: 100%;
        cursor: pointer;
    }

        .work-images ul li:hover, .active {
            opacity: 1 !important;
        }

.work-images #imgs li.active {
    box-shadow: 0 0 .3em 0 #ba2d5d;
}

.work-content {
    margin-bottom: 10px;
    text-align: left;
    -webkit-hyphens: auto;
    -ms-hyphens: auto;
    hyphens: auto;
    align-self: flex-start;
}

    .work-content h3 {
        font-weight: var(--font-weight-light);
        font-size: 1.6em;
        text-align: left;
        display: block;
        margin: 1em 0 0.5em
    }

    .work-content p {
        padding: 0;
        margin-bottom: 10px;
    }

.work:nth-child(even) .work-images {
    order: 1;
    margin-bottom: 20px;
}

.work:nth-child(even) .work-content {
    order: 2;
    padding: 10px 0;
}

.tags {
    margin: 0 0 3em;
}

    .tags a {
        padding: 0 1em;
        border: none;
        background-color: var(--color-tags);
        color: #f1f1f1;
        text-decoration: none;
        box-shadow: none;
    }

        .tags a.activetag {
            background-color: transparent;
            color: #909090;
            cursor: default;
        }

            .tags a.activetag:before {
                content: "#";
            }

.pagebtn a {
    padding: 1em 2em;
    border-radius: 0;
}

.xtracts {
    display: flex;
    flex-wrap: wrap;
    border-bottom: 0.1em solid #fff;
}

.xtract {
    width: 100%;
    padding-bottom: 20px;
}

.xtract-subtitle {
    margin-bottom: 15px;
    font-weight: var(--font-weight-bold);
}

.ul {
    margin: 1rem 0;
    padding: .5rem;
    background-color: #f9f9f9;
}

#showdata {
    display: grid;
    grid-gap: .5em;
    grid-template-columns: repeat(auto-fit, minmax(15%,1fr));
    margin: 1em 0 2em;
}

    #showdata li img {
        box-sizing: border-box;
        object-fit: cover;
        object-position: center;
        height: 100%;
        width: 100%;
        cursor: pointer;
    }

#message, #e-message {
    display: block;
    font-size: small;
}

.draft-form {
    background: #fff;
    background: rgba(255,255,255,0.8);
    box-shadow: 1px 1px 5px 1px rgba(0,0,0,0.1);
    border-radius: 5px;
    overflow: hidden;
    font-size: inherit;
}

    .draft-form input, .draft-form select, .draft-form textarea {
        display: inline-block;
        background: transparent;
        border: 1px dashed #dcdcdc;
        font-size: inherit;
        font-family: var(--font-family);
        color: black;
        outline: none;
        width: 100%;
        margin-bottom: 1em;
    }

    .draft-form textarea {
        width: 100%;
        resize: vertical;
        min-height: 200px;
        margin-bottom: 0;
    }

    .draft-form select {
        -webkit-appearance: none;
        -moz-appearance: none;
        -ms-appearance: none;
        -o-appearance: none;
        line-height: 1.1;
    }

        .draft-form select option {
            border-bottom: 1px solid transparent;
        }

.draft-header, .draft-body, .draft-footer {
    padding: 10px 15px;
}

.draft-header {
    background: #f5f5f5;
    border-bottom: 1px solid #e6e6e6;
}

    .draft-header .validation {
        color: #f50;
    }

.draft-body input, .draft-body select {
    padding: 5px 0;
}

.draft-message {
    margin: 2rem 0;
}

    .draft-message input, .draft-message select {
        text-align: center;
        padding: 2px 5px;
    }

    .draft-message small {
        font-style: italic;
        font-size: 1.4rem;
    }

.draft-footer {
    padding-bottom: 15px;
    text-align: right;
}

.draft-footer-flex {
    display: flex;
    justify-content: space-between;
}

.draft-submit, .button, .checkmark {
    display: inline-block;
    background-color: #4285f4;
    color: #fff;
    text-transform: uppercase;
    line-height: 1;
    font-family: var(--font-family);
    font-size: inherit;
    border: 0;
    border-radius: 5px;
    padding: 10px 15px;
    margin: .5em .1em;
    cursor: pointer;
    box-shadow: 1px 1px 3px 1px rgba(0,0,0,0.1);
}

.toolbar {
    margin-bottom: 1em;
}

/* material icons */

.material-icons {
    cursor: pointer;
    margin-right: .5em;
}

.md-dark {
    color: rgba(0, 0, 0, 0.54);
}

.f-orange {
    color: #FC0;
}

/* Create a custom button */

.button, .checkmark {
    background-color: #eee;
    color: inherit;
    text-transform: initial;
}

input[type=checkbox]:checked ~ .checkmark {
    background-color: #00ad23;
    color: #fff;
}

input[type=checkbox], input[type=radio] {
    display: none;
}

select:invalid {
    color: #a0a0a0;
}

.delete {
    background-color: #ff7070;
}

.rating {
    margin: 1em 0;
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    unicode-bidi: bidi-override;
    direction: rtl;
}

    .rating label {
        font-size: large;
        margin: 0 0.2em;
        padding: 0 0.2em;
        cursor: pointer;
    }

        .rating label:hover,
        .rating label:hover ~ label,
        .rating input[type=radio]:checked ~ label {
            color: #FFD700;
        }

@media screen and (max-width: 220px) {
    body {
        padding: 1em;
    }

        body > * {
            display: none;
            visibility: hidden;
        }

        body::after {
            content: "We do not support your screen resolution.";
        }
}

@media screen and (max-width: 330px) {
    header {
        margin-bottom: 20px;
    }
}

@media screen and (min-width: 330px) {
    label[for=menubtn] {
        display: none;
    }

    nav {
        position: unset;
        display: flex;
        flex-direction: row;
        align-items: baseline;
        left: unset;
        text-align: unset;
        background-color: transparent;
        box-shadow: none;
        padding: 0;
    }
}

@media screen and (min-width: 450px) {
    header {
        margin-bottom: 50px;
    }

    .lebenslauf p {
        grid-template-columns: 1fr 2fr;
    }

        .lebenslauf p span:last-child {
            grid-column: 2;
        }

    .contact {
        direction: rtl;
    }
}

@media screen and (min-width: 520px) {
    menu {
        font-size: 1.5rem;
    }
}

@media screen and (min-width: 600px) {
    body {
        font-size: 1.3rem;
    }

    h2 {
        font-size: 1.6rem;
    }

    h3 {
        font-size: 1.4rem;
    }

    .section, .section-half {
        text-align: justify;
    }

    header {
        flex-wrap: nowrap;
    }

    .xtract-content img {
        vertical-align: text-bottom;
    }

    .draft-form {
        background: #fff;
    }

    .work-content {
        text-align: justify;
        text-justify: inter-word;
    }
}

@media screen and (min-width: 800px) {
    .site-page {
        max-width: 90%;
        margin: 0 auto;
    }

    .xtract {
        width: 50%;
    }

        .xtract:nth-child(even) {
            padding-right: 25px;
        }

        .xtract:nth-child(odd) {
            padding-left: 25px;
        }

    #profile h2 {
        font-size: 2rem;
    }
}

@media screen and (min-width: 990px) {
    .work {
        flex-wrap: nowrap;
        justify-content: space-between;
    }

        .work:nth-child(even) .work-content {
            padding: 0;
        }

    .work-content {
        width: 33%;
    }

        .work-content h3 {
            font-size: 2em;
            margin: 0 0 1em;
        }

    .work-images {
        width: 62%;
    }

    .section-half {
        width: 70%;
        min-width: 400px;
        padding-right: 15px;
    }

    .lebenslauf p {
        grid-template-columns: 1fr 3fr;
    }
}

@media screen and (min-width: 1200px) {
    .site-page {
        max-width: 70%;
    }

    .lebenslauf p {
        grid-template-columns: 1fr 4fr;
    }
}

@media screen and (min-width: 2000px) {
    header {
        margin-bottom: 90px;
    }

    .xtract {
        width: 33.33%;
        width: calc(100% / 3);
        padding-left: unset !important;
        padding-right: unset !important;
    }

        .xtract:nth-child(3n+3) {
            padding-left: 15px !important;
            padding-right: 15px !important;
        }

        .xtract:nth-child(3n+2) {
            padding-left: 0 !important;
            padding-right: 30px !important;
        }

        .xtract:nth-child(3n+4) {
            padding-left: 30px !important;
            padding-right: 0 !important;
        }
}
